Bug 763936 - (GLUSTER-2204) gluster volume info <VOLNAME> should display all volume options
gluster volume info <VOLNAME> should display all volume options
Status: CLOSED UPSTREAM
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
3.1.1
All Linux
low Severity low
: ---
: ---
Assigned To: Kaushal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-08 18:07 EST by Craig Carl
Modified: 2012-04-27 03:05 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-27 01:07:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joe Julian 2010-12-08 16:04:50 EST
in my opinion, that behavior should require a "-v"/"--verbose" option.
Comment 1 Craig Carl 2010-12-08 18:07:33 EST
gluster volume info <VOLNAME> should display all volume options, regardless of their value. 

The behavior of 'gluster volume info all' should not change.

Example of proposed behavior - 

Volume Name: localdata
Type: Distribute
Status: Started
Number of Bricks: 1
Transport-type: tcp
Bricks:
Brick1: 10.1.30.130:/glu-export
performance.cache-refresh-timeout     1sec
cluster.stripe-block-size             128KB
cluster.self-heal-window-size         16
network.frame-timeout                 1800
network.ping-timeout                  42
auth.allow                            *
auth.reject                           None 
performance.cache-size                32MB
performance.write-behind-window-size  1MB
diagnostics.latency-measurement       off
diagnostics.dump-fd-stats             off
diagnostics.brick-log-level           NONE
diagnostics.client-log-level          NONE
nfs.enable-ino32                      off
Comment 2 Vikas Gorur 2010-12-09 11:02:38 EST
The natural complement to "gluster volume set" is "gluster volume get".

I propose that "gluster volume get" with no arguments should display all options and their values, and an indicator if the value is the default:

# gluster volume get <VOLNAME>
                                                                Current    Default
performance.cache-refresh-timeout     1sec          1sec
cluster.stripe-block-size             128KB                 128KB
cluster.self-heal-window-size         128                16
[...]

# gluster volume get <VOLNAME> performance.stat-prefetch
Option                                            Current        Default
performance.stat-prefetch             on               on
Comment 3 Joe Julian 2010-12-09 11:14:40 EST
I concur. That's logical and conforms with the current best practice for cli syntax.
Comment 4 Kaushal 2012-04-27 01:07:56 EDT
Closing as wontfix. File a new bug if this is required.
Comment 5 Kaushal 2012-04-27 03:03:07 EDT
"volume set help" shows the defaults for options in master. This should help getting all the options.

(Sorry for the unsatisfactory comment while closing.)

Note You need to log in before you can comment on or make changes to this bug.